# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           trac-git-plugin
Version:        0.12.0.5
Release:        7.20101208git%{?dist}
Summary:        GIT version control plugin for Trac

Group:          Applications/Internet
License:        GPLv2+
URL:            http://trac-hacks.org/wiki/GitPlugin
# Source comes from github right now: git clone https://github.com/hvr/trac-git-plugin.git; \
#                                  cd trac-git-plugin/; \
#                                  echo "include COPYING" > MANIFEST.in; \
#                                  python setup.py sdist --formats gztar
Source0:        TracGit-%{version}dev.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       git-core, trac >= 0.12, python-setuptools

%description
This Trac plugin provides support for the GIT SCM.

%prep
%setup -n TracGit-%{version}dev -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT


 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.5-7.20101208git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.5-6.20101208git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.5-5.20101208git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.5-4.20101208git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.5-3.20101208git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0.5-2.20101208git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Jesse Keating <jkeating@redhat.com> - 0.12.0.5-1.20101208git
- Update for trac-0.12
- New upstream source repo

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.11.0.2-6.20090511svn5396
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-5.20090511svn5396
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 11 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.2-2.20090511svn5396
- Drop COPYING, it doesn't make it into the tarball.

* Mon May 11 2009 Jesse Keating <jkeating@redhat.com> - 0.11.0.2-1.20090511svn5396
- Update for trac 0.11.  Drop patches as those are in the 0.11 branch.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-8.20070705svn1536
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.1-7.20070705svn1536
- Rebuild for Python 2.6

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.0.1-6.20070705svn1536
- fix license tag

* Fri May 16 2008 Jesse Keating <jkeating@redhat.com> - 0.0.1-5.20070705svn1536
- Add patches from http://nanosleep.org/proj/trac-git-plugin

* Mon Nov 26 2007 Jesse Keating <jkeating@redhat.com> - 0.0.1-4.20070705svn1536
- Add a patch to prevent tracebacks when using this plugin

* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.0.1-3.20070705svn1536
- Require trac and python-setuptools as well

* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.0.1-2.20070705svn1536
- Require git-core

* Thu Jul 05 2007 Jesse Keating <jkeating@redhat.com> - 0.0.1-1.20070705svn1536
- Initial build
